% Estimation method
W2011 = 1;
method_name = 'W2011';
monotonicity = 0;

% Set the random number generator seed for reproducibility
rng(1117, 'twister');

% % Start worker pool
  ownpool = 0;
% if (isempty(gcp('nocreate')))
%     parpool();
%     ownpool = 1;
% end

% Load original Amemiya data
NP = 236;
k = 15;
if book=='Amemiya'
   load('Amemiya_Prices');
else
   load('Cameron_Prices');
end
real_prices = prices; % Preserve real data

% Run program to augment data to new prices (CF=1 is no changes, CF=2 is add High quality firms, and CF=3 is add Low quality firms) 
Counterfactual_Composition_Shift_Final

%% select the new augmented data as the "real data" to use in the normal code
prices = PRICES;

% Counterfactual scenario settings
resample = 0;
vect_obs = 1/k * ones(NP, k);
Bootstrapping_Estimation;
G_c_All = DCS_MU_to_G(NP, k, MU_All);
MC_obs = R_All;

% Calculate H bounds
Precalculate_H_Bounds;
BOUNDS_min_ub_H_obs = min_ub_H;
BOUNDS_max_lb_H_obs = max_lb_H;
BOUNDS_avg_H_obs = avg_H;
BOUNDS_c_H_obs = c_H;

% Non-Linear Least Squares Parametric Estimation of H(c|\mu)
DCS_Master_NLS;
NLLS_p_obs = p_values;
NLLS_theta_expo_obs = theta_expo;
NLLS_q_expo_obs = quantiles_expo;
NLLS_theta_mix_obs = theta_mix;
NLLS_q_mix_obs = quantiles_mix;

    % Estimation of Quantiles of G
    DCS_Report_G_Quantiles
    QUANTILE_G_p_obs = p_values;
    QUANTILE_G_q_obs = quantiles';
    QUANTILE_G_q_mean_obs = meanquantiles;
    QUANTILE_G_q_median_obs = medianquantiles;

    % Estimation of Quantiles of H
    DCS_Report_H_Quantiles
    QUANTILE_H_p_obs = p_values;
    QUANTILE_H_lb_obs = c_lb;
    QUANTILE_H_ub_obs = c_ub;
    QUANTILE_H_avg_obs = c_avg;

% Save results
matfile = sprintf('%s_%s_Counterfactuals_N=%d_TEST.mat', book, method_name, k);
save(matfile, '-regexp', '^(MC|MU|R|C|X|G_c)_All', 'k', 'NP', '^NLLS', '^BOUNDS', '^QUANTILE', '^MC');

% Close worker pool
if (ownpool > 0)
    delete(gcp);
end
