% Jason R. Blevins and Garrett T. Senney
% Dynamic Selection and Distributional Bounds on Search Costs in Dynamic Unit-Demand Models
% Quantitative Economics
%
% Converts MGW (2008) MU data into G(c) form

function [ G_c_All ] = DCS_MU_to_G(NP, k, MU_All)

G_c_All = [];
G_c_All(:,k) = ones(NP,1) - MU_All(:,1);
for t = 1:NP
    for i = 1:(k-2)
        G_c_All(t, k-i) = G_c_All(t, (k+1)-i) - MU_All(t, 1+i);
    end
end
