% Jason R. Blevins and Garrett T. Senney
% Dynamic Selection and Distributional Bounds on Search Costs in Dynamic Unit-Demand Models
% Quantitative Economics
%
% Data resampling

function datasubsamp = DCS_resample(data, W2011, k)

replace = true;
NP = length(data);
if (W2011 == 0)
    % Resample without regard to type
    for t = 1:NP
        nprices = size(data{t}, 1);
        rand_ind = randsample(1:nprices, nprices, replace);
        datasubsamp{t} = data{t}(rand_ind, :);
    end
else
    % Resample by type
    for t = 1:NP
        resampled_t = [];
        for type = 1:3
            type_ind = find( data{t}(:,1) == type );
            nprices = size(type_ind, 1);
            rand_ind = randsample(type_ind, nprices, replace);
            resampled_t = [ resampled_t; data{t}(rand_ind, :) ];
        end
        datasubsamp{t} = resampled_t;
    end
end
