%Garrett Senney & Jason Blevins
%Dynamic Search Model for Multiple Periods
%Simulating Selection Bias Master Script
%Last Updated on May 13, 2014
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%G Distributions:  Gamma[25,0.2], Lognormal[1.5,1], Uniform[0,25], and Empirical G CDF from last period of data
%Code:                'Gamma'       'Lognormal'     'Uniform'             'Empirical'
%
%H Distributions: Exponential[4.12676], Gamma[25,0.2], and Lognormal[1.5,1] 
%Code:               'Exponential'        'Gamma'            'Lognormal'
%                                                                                                                                              
%                                       U[0,25](c)      LogN[2.5,1](c)     Gamma[10,0.5](c)                                                        
%Sigma Functions: {0.25, 0.5, 0.75}    1-U[0,25](c)    1-LogN[2.5,1](c)   1-Gamma[10,0.5](c)   Abs Value of Sin(c)   Abs Value of Cos(c)   {c<=5, 5<c<20, 20<=20}    gamma_pdf[20, 0.25]
%Code:               'Quarter'        'Uniform_Down'   'Lognormal_Down'     'Gamma_Down'          'Abs_Sine'           'Abs_Cosine'        Pr(Not Buy)={0, 0.5, 1}     'gamma_PDF'
%                     'Half'           'Uniform_Up'     'Lognormal_Up'       'Gamma_Up'                                                        'Step'            
%                 'Three_Quarters'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc
clear all
close all

%Global Condition
NP = 10000; %Number of periods
n = 1:1:(NP+1); %Counter
NA = 1000; %Number of agents in the market
Graph = 1; %Indicator for whether the code will create plots for the estimated quantiles of G_{t}(c)

% aa indices the G_t Distribution
% gg indices the H Distribution
% zz indices the sigma_type replication 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%G_t Distribution Changing to Gamma
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
aa = 1
gg = 1 
zz = 1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Exponential';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Gamma';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Gamma'; 
H_Dist = 'Lognormal';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%G_t Distribution Changing to Lognormal
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
aa = aa+1
gg = gg+1 
zz = 1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = 1
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Exponential';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Gamma';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Lognormal' ;
H_Dist = 'Lognormal';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%G_t Distribution Changing to Uniform
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
aa = aa+1
gg = gg+1 
zz = 1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Exponential';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Gamma';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Uniform' ;
H_Dist = 'Lognormal';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%G_t Distribution Changing to Empirical
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%        
aa = aa+1
gg = gg+1 
zz = 1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = 1
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Exponential';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Gamma';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
gg = gg+1 
zz = 1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Quarter'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Half'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Three_Quarters'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Uniform_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Lognormal_Down'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Up'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Gamma_Down'; 

Selection_Bias
              
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Sine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Abs_Cosine'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'Step'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
zz =  zz+1
G_Dist = 'Empirical' ;
H_Dist = 'Lognormal';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%








