%Garrett Senney & Jason Blevins
%Dynamic Search Model for Multiple Periods
%Master Script for Plotting Selected Selection Bias Simulation Results
%Last Updated on July 17, 2014
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%G Distributions:  Gamma[15,0.2], Gamma[25,0.2], Lognormal[1.5,1], Uniform[0,25], and Empirical G CDF from last period of data
%Code:                'Gamma15'    'Gamma25',     'Lognormal'     'Uniform'             'Empirical'
%
%H Distributions: Exponential[4], Gamma[25,0.2], Lognormal[1.5,1], and Lognormal[5,1] 
%Code:               'Exponential'        'Gamma'        'Lognormal1.5'       'Lognormal5'
%                                                                                                                                              
%                                       U[0,25](c)      LogN[2.5,1](c)     Gamma[10,0.5](c)                                                        
%Sigma Functions: {0.25, 0.5, 0.75}    1-U[0,25](c)    1-LogN[2.5,1](c)   1-Gamma[10,0.5](c)   Abs Value of Sin(c)   Abs Value of Cos(c)   {c<=5, 5<c<20, 20<=20}    gamma_pdf[20, 0.25]
%Code:               'Quarter'        'Uniform_Down'   'Lognormal_Down'     'Gamma_Down'          'Abs_Sine'           'Abs_Cosine'        Pr(Not Buy)={0, 0.5, 1}     'gamma_PDF'
%                     'Half'           'Uniform_Up'     'Lognormal_Up'       'Gamma_Up'                                                        'Step'            
%                 'Three_Quarters'
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

clc
clear all
close all

%Global Condition
NP = 500; %Number of periods
n = 1:1:(NP+1); %Counter
NA = 1000; %Number of agents in the market

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
spec = 1;
G_Dist = 'Uniform';
H_Dist = 'Exponential';
Sigma_Type = 'Gamma_Up';

Selection_Bias_Plots

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
spec = 2;
%G_Dist = 'Gamma25';
G_Dist = 'Exponential4.1';
H_Dist = 'Exponential';
%Sigma_Type = 'Lognormal_Down';
Sigma_Type = 'Uniform_Up';

Selection_Bias_Plots

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
spec = 3;
G_Dist = 'Gamma25'; 
H_Dist = 'Lognormal1.5';
Sigma_Type = 'gamma_PDF'; 

Selection_Bias_Plots

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
spec = 4;
G_Dist = 'Uniform';
H_Dist = 'Exponential';
Sigma_Type = 'Half';

Selection_Bias_Plots

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
spec = 5;
G_Dist = 'Gamma25';
H_Dist = 'Exponential';
Sigma_Type = 'Lognormal_Up';

Selection_Bias_Plots

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
