function D = Sigma_Fun(Sigma_Type,c)
%Sigma_Fun takes in a cost determines if that consumer buys or not the chosen function type
% D = 0 means that the consumer purchases and exits the market
%   
  if strcmp(Sigma_Type,'Half') %Independent of cost Pr(Buy)=0.5
     D = (0.5>rand(1));
     
  elseif strcmp(Sigma_Type,'Quarter') %Independent of cost Pr(Buy)=0.25
     D = (0.25>rand(1));
     
  elseif strcmp(Sigma_Type,'Three_Quarters') %Independent of cost Pr(Buy)=0.75
     D = (0.75>rand(1));
     
  elseif strcmp(Sigma_Type,'Uniform_Up') %U[0,25]
      D = (1-unifcdf(c,0,25)<rand(1));
  
  elseif strcmp(Sigma_Type,'Lognormal_Up')  %Lognorm[2.5,1]
      D = (1-logncdf(c,2.5,1)<rand(1));
     
  elseif strcmp(Sigma_Type,'Gamma_Up') %Gamma[10,0.5]
      D = (1-gamcdf(c,10,0.5)<rand(1));
      
  elseif strcmp(Sigma_Type,'Uniform_Down') %U[0,25]
      D = (unifcdf(c,0,25)<rand(1));
  
  elseif strcmp(Sigma_Type,'Lognormal_Down') %Lognorm[2.5,1]
      D = (logncdf(c,2.5,1)<rand(1));
     
  elseif strcmp(Sigma_Type,'Gamma_Down')  %Gamma[10,0.5]
      D = (gamcdf(c,10,0.5)<rand(1));
       
  elseif strcmp(Sigma_Type,'Abs_Sine')  %Absolute Value of Sine
      D = (abs(sin(c))<rand(1));
    
  elseif strcmp(Sigma_Type,'Abs_Cosine')  %Absolute Value of Cosine
      D = (abs(cos(c))<rand(1));
      
  elseif strcmp(Sigma_Type,'Step')  %Increasing step function
      if c<=5
         D = 0;
      elseif 5<c && c<20
         D = (0.5>rand(1));
      else
         D = 1;
      end
      
  else %strcmp(Sigma_Type,'gamma_PDF')
      D = (gampdf(c,20,0.25)<rand(1));  %gamma[20,0.25]
            
  end

end

