function y = f(G, v, price, plow, n, q)
% This function computes F that solves the equilibrium condition given the
% parameters

% Written by Matthijs R. Wildenbeest, October 2007.
% Modified by Jason R. Blevins for thread safety, April 2014, and for
% vectorization, April 2016.

nseq = (1:n)';
n1seq = nseq - 1;

% calculate unit cost r
% ksum = 0;
% for i = 1:n
%     ksum = ksum + i*q(i);
% end
nq = nseq .* q;
ksum = sum(nq);
r = (plow*ksum - v*q(1)) / (ksum - q(1));

% ksum2 = 0;
% for i = 1:n
%     ksum2 = ksum2 + i*q(i)*(1-G)^(i-1);
% end
ksum2 = sum(nq .* (1-G).^n1seq);
y = (price-r)*ksum2 - (v-r)*q(1);
